# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "sui-graphql"
version = "0.3.0"
authors = ["Joey Pham <joey.pham@mystenlabs.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "GraphQL client for Sui blockchain"
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/mystenlabs/sui-rust-sdk/"
resolver = "2"

[package.metadata.docs.rs]
all-features = true
rustdoc-args = [
    "--cfg=doc_cfg",
    "-Zunstable-options",
    "--generate-link-to-definition",
]

[lib]
name = "sui_graphql"
path = "src/lib.rs"

[dependencies.base64ct]
version = "1.8.0"
features = ["alloc"]

[dependencies.bcs]
version = "0.1.6"

[dependencies.chrono]
version = "0.4"
features = [
    "std",
    "serde",
]
default-features = false

[dependencies.futures]
version = "0.3"

[dependencies.reqwest]
version = "0.12"
features = [
    "rustls-tls",
    "json",
]
default-features = false

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.sui-graphql-macros]
version = "=0.3.0"

[dependencies.sui-rpc]
version = "0.3.0"

[dependencies.sui-sdk-types]
version = "0.3.0"
features = ["serde"]

[dependencies.thiserror]
version = "1.0"

[dependencies.url]
version = "2"

[dev-dependencies.tokio]
version = "1.40"
features = ["full"]

[dev-dependencies.wiremock]
version = "0.6"

[lints.rust.unexpected_cfgs]
level = "warn"
priority = 0
check-cfg = ["cfg(doc_cfg)"]
